Plot HomeDocumentation
Projects

Search Projects

Searches projects by name, description, owner name, or team name using full-text search

GET
/v1/projects/search

Searches projects by name, description, owner name, or team name using full-text search

Query Parameters

name?string

Search by project name

description?string

Search by project description

ownerName?string

Search by owner name

teamName?string

Search by team name

matchMode?string

Match mode: "all" (AND) or "any" (OR)

Default"all"
Value in"all" | "any"
teamId?string

Filter by team ID

Formatuuid
includeArchived?string

Include archived projects

Value in"true" | "false"
includeMarkdown?string

Include description.markdown field. Omit for better performance when markdown is not needed.

Value in"true" | "false"
expand?|||array<>

Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (owner,status,teams,collection)

Default"all"
cursor?string

Cursor for pagination

limit?integer

Number of results to return (max 100)

Default50
Range1 <= value <= 100

Response Body

application/json

curl -X GET "https://example.com/v1/projects/search"
{  "data": [    {      "id": "string",      "publicId": "string",      "name": "string",      "slug": "string",      "icon": "string",      "startDate": "2019-08-24T14:15:22Z",      "dueDate": "2019-08-24T14:15:22Z",      "ownerId": "string",      "collectionId": "string",      "workspaceId": "string",      "statusId": "string",      "archivedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "teamIds": [        "string"      ],      "description": {        "html": "string",        "markdown": "string"      },      "color": "string",      "owner": {        "id": "string",        "name": "string",        "email": "string"      },      "status": {        "id": "string",        "name": "string",        "color": "string",        "icon": "string"      },      "teams": [        {          "id": "string",          "name": "string",          "publicId": "str"        }      ],      "collection": {        "id": "string",        "name": "string"      }    }  ],  "nextCursor": "string",  "hasMore": true,  "total": 0}